#ifndef TOUCHFREEZEUI_H
#define TOUCHFREEZEUI_H

#include <QWidget>
#include <QSystemTrayIcon>

#include "ui_TouchFreezeUIBase.h"

class QCloseEvent;

class TouchFreezeUI : public QWidget, protected Ui::TouchFreezeUIBase
{
  Q_OBJECT
public:
  TouchFreezeUI( QWidget* parent = NULL );

  void setup( int verMaj, int verMin, unsigned int delay );
  void setStatusText( const QString& );

signals:
  void delayChanged( unsigned int );

protected:
  virtual void closeEvent( QCloseEvent* );

protected slots:
  virtual void onSystrayActivation( QSystemTrayIcon::ActivationReason );

  void onSpinBoxValueChange( double );
  void onSliderValueChange( int );

  void onCancel();
  void onApply();

private:
};



#endif
